{% extends '@RadditApp/forum-base.html.twig' %}

{% from '@RadditApp/macros/submissions.html.twig' import submission, submission_sort %}

{% block title %}{{ forum.title }}{% endblock %}

{% block head %}
  <link rel="canonical" href="{{ url('raddit_app_forum', {forum_name: forum.name}) }}">

  {% if forum.description %}
    <meta name="description" content="{{ forum.description|markdown|striptags }}">
  {% endif %}
{% endblock %}

{% block page_classes %}forum-front{% endblock %}

{% block body %}
  {{ submission_sort(sort_by) }}

  {% for submission in submissions %}
    {{ submission(submission, {show_forum_name: false}) }}
  {% endfor %}
{% endblock %}
